<?xml version="1.0"?>

<queryset>
  <rdbms><type>postgresql</type><version>7.3</version></rdbms>

  <fullquery name="pm::task::get_item_id.get_item_id">
    <querytext>
      SELECT
      i.item_id
      FROM
      cr_items i,
      cr_revisions r
      WHERE
      i.item_id = r.item_id and
      r.revision_id = :task_id
    </querytext>
  </fullquery>

  <fullquery name="pm::task::get_revision_id.get_revision_id">
    <querytext>
      SELECT
      live_revision
      FROM
      cr_items i
      WHERE
      i.item_id = :task_item_id
    </querytext>
  </fullquery>

  <fullquery name="pm::task::default_status_open.get_default_status_open">
    <querytext>
      select status_id 
      from pm_task_status 
      where status_type = 'o'
      limit 1
    </querytext>
  </fullquery>

  <fullquery name="pm::task::default_status_closed.get_default_status_closed">
    <querytext>
      select status_id 
      from pm_task_status 
      where status_type = 'c'
      limit 1
    </querytext>
  </fullquery>

  <fullquery name="pm::task::get_url.get_package_id">
    <querytext>
      obviously broken
      select package_id from surveys
      where survey_id=:object_id
    </querytext>
  </fullquery>
  
  <fullquery name="pm::task::edit.new_task_revision">
    <querytext>
      select pm_task__new_task_revision (
      :task_item_id,
      :project_item_id,
      :title,
      :description,
      [pm::util::datenvl -value $end_date -value_if_null "null" -value_if_not_null "to_timestamp('$end_date','YYYY MM DD HH24 MI SS')"],
      :percent_complete,
      :estimated_hours_work,
      :estimated_hours_work_min,
      :estimated_hours_work_max,
      :actual_hours_worked,
      :status_id,
      current_timestamp,
      :update_user,
      :update_ip,
      :package_id)
    </querytext>
  </fullquery>

  <fullquery name="pm::task::new.new_task_item">
    <querytext>
      select pm_task__new_task_item (
      :project_id,
      :title,
      :description,
      :end_date,
      :percent_complete,
      :estimated_hours_work,
      :estimated_hours_work_min,
      :estimated_hours_work_max,
      :status_id,
      coalesce (:creation_date,current_timestamp),
      :creation_user,
      :creation_ip,
      :package_id)
    </querytext>
  </fullquery>
</queryset>
