ad_page_contract {
    Main view page for one process

    @author jader@bread.com
    @creation-date 2003-09-25
    @cvs-id $Id: process-one.tcl,v 1.6.2.8 2004/03/12 00:20:24 jader Exp $

    @param process_id The process we're looking at.

    @return process_id the id for the process
    @return context_bar Context bar.
    @return use_link the link to use this process

} {

    process_id:integer

} -properties {
    process_id:onevalue
    context_bar:onevalue
    use_link:onevalue
} -validate {
}

# --------------------------------------------------------------- #

# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [ad_maybe_redirect_for_registration]

# permissions
permission::require_permission -party_id $user_id -object_id $package_id -privilege read

set write_p  [permission::permission_p -object_id $package_id -privilege write] 
set create_p [permission::permission_p -object_id $package_id -privilege create]

# set up context bar, needs parent_id


set context_bar [ad_context_bar [list "processes?process_id=$process_id" "Processes"] "One"]

set use_link "<a href=\"task-select-project?process_id=$process_id\"><img border=\"0\" src=\"/shared/images/go.gif\"></a>"


# Process tasks, using list-builder ---------------------------------

template::list::create \
    -name tasks \
    -multirow tasks \
    -key process_task_id \
    -elements {
        one_line {
            label "Subject"
            display_template {<a href="process-task-add-edit?process_id=[set process_id]&process_task_id=@tasks.process_task_id@">@tasks.one_line@</a>
                <if @tasks.dependency_type@ eq start_before_start>
                  <img border="0" src="resources/start_before_start.png">
                </if>
                <if @tasks.dependency_type@ eq start_before_finish>
                  <img border="0" src="resources/start_before_finish.png">
                </if>
                <if @tasks.dependency_type@ eq finish_before_start>
                  <img border="0" src="resources/finish_before_start.png">
                </if>
                <if @tasks.dependency_type@ eq finish_before_finish>
                  <img border="0" src="resources/finish_before_finish.png">
                </if>
            }
        }
        description {
            label "Description"
        }
        estimated_hours_work {
            label "Work estimate"
        }
        estimated_hours_work_min {
            label "Work estimate min"
        }
        estimated_hours_work_max {
            label "Work estimate max"
        }
    } \
    -orderby {
        one_line {orderby one_line}
        description {orderby description}
        estimated_hours_work {orderby estimated_hours_work}
        estimated_hours_work_min {orderby estimated_hours_work_min}
        estimated_hours_work_max {orderby estimated_hours_work_max}
        default_value one_line,desc
    } \
    -orderby_name orderby_tasks \
    -bulk_actions {
        "Edit" "process-task-add-edit" "Edit tasks"
        "Delete" "process-task-delete" "Delete tasks"
    } \
    -bulk_action_export_vars {
        process_id
        project_id
    } \
    -sub_class {
        narrow
    } \
    -filters {
    } \
    -html {
        width 100%
    }


db_multirow -extend { item_url } tasks task_query {
} {
}


ad_return_template

# ------------------------- END OF FILE ------------------------- #
