<?xml version="1.0"?>
<queryset>
  <fullquery name="get_tasks">
    <querytext>
      select
        one_line,
        description,
        process_task_id
	FROM
	pm_process_task 
        WHERE
        process_task_id in ([join $process_task_id ","])
        ORDER BY
        process_task_id
    </querytext>
  </fullquery>

  <fullquery name="get_users">
    <querytext>
      select
        first_names || ' ' || last_name || ' (' || email || ')' as who,
        person_id
	FROM
        cc_users
        ORDER BY
        first_names, last_name
    </querytext>
  </fullquery>

  <fullquery name="get_roles">
    <querytext>
      select
        one_line,
        role_id
	FROM
        pm_roles
        ORDER BY
        sort_order
    </querytext>
  </fullquery>

  <fullquery name="delete_assignments">
    <querytext>
      delete from pm_process_task_assignment
      where process_task_id in ([join $process_task_id ","])
    </querytext>
  </fullquery>

  <fullquery name="add_assignment">
    <querytext>
      insert into pm_process_task_assignment
      (process_task_id,
       role_id,
       party_id) 
      values
      (:t_id,
       :r_id,
       :p_id)
    </querytext>
  </fullquery>

  <fullquery name="get_current_users">
    <querytext>
      select
        party_id
	FROM
        pm_process_task_assignment
        WHERE
        process_task_id = :tiid
    </querytext>
  </fullquery>

  <fullquery name="get_current_roles">
    <querytext>
      select
        role_id
	FROM
        pm_process_task_assignment a
        WHERE
        process_task_id = :tiid
    </querytext>
  </fullquery>

</queryset>
