<?xml version="1.0"?>
<queryset>
  <fullquery name="get_process_tasks">
    <querytext>
        SELECT
        t.process_task_id as process_tid,
        t.one_line,
        t.description,
        t.estimated_hours_work,
        t.estimated_hours_work_min,
        t.estimated_hours_work_max,
        d.dependency_id,
        d.parent_task_id as process_parent_task
        FROM
        pm_process_task t LEFT JOIN pm_process_task_dependency d ON t.process_task_id = d.process_task_id
        WHERE
        t.process_id = :process_id
        ORDER BY
        t.process_task_id
    </querytext>
  </fullquery>

  <fullquery name="new_task_revision">
    <querytext>
        select pm_task__new_task_revision (
                :p_task_item_id,
                :project_item_id,
                :p_task_title,
                :p_description,
                [pm::util::datenvl -value [set end_date_$i] -value_if_null "null," -value_if_not_null "to_timestamp('[set end_date_$i]','YYYY MM DD HH24 MI SS'),"]
                :p_percent,
                :p_work,
                :p_work_min,
                :p_work_max,
                :p_hours,
                current_timestamp,
                :user_id,
                :peeraddr,
                :package_id
        );
    </querytext>
  </fullquery>

  <fullquery name="task_query">
    <querytext>
      select
        current_timestamp
    </querytext>
  </fullquery>

  <fullquery name="get_old_tasks">
    <querytext>
        select
        t.task_revision_id,
        t.title as my_task_title,
        t.description as my_description,
        to_char(t.end_date,'YYYY MM DD') as my_end_date,
        t.percent_complete as my_percent_complete,
        t.estimated_hours_work as my_estimated_work,
        t.estimated_hours_work_min as my_estimated_work_min,
        t.estimated_hours_work_max as my_estimated_work_max,
        t.actual_hours_worked as my_actual_hours_worked,
        d.parent_task_id as my_dependency
        FROM
        pm_tasks_revisionsx t, 
        cr_items i LEFT JOIN pm_task_dependency d ON i.item_id = d.task_id
        WHERE
        t.item_id in ([join $task_id ","]) and
        t.revision_id = i.live_revision
    </querytext>
  </fullquery>

  <fullquery name="get_project_id">
    <querytext>
        SELECT
        p.project_id
        FROM
        pm_projectsx p, cr_items i
        WHERE
        p.item_id = :project_item_id and 
        p.revision_id = i.live_revision
    </querytext>
  </fullquery>

  <fullquery name="get_dependency_types">
    <querytext>
      select
        short_name,
        description
	FROM
	pm_task_dependency_types
        ORDER BY
        short_name
    </querytext>
  </fullquery>

  <fullquery name="get_dependency_tasks">
    <querytext>
      select
        r.item_id, 
        r.title as task_title        
	FROM
        pm_tasks_revisionsx r, 
        cr_items i 
        WHERE
        r.parent_id = :project_item_id and
        r.revision_id = i.live_revision
        ORDER BY
        upper(r.title)
    </querytext>
  </fullquery>

  <fullquery name="get_task_item_id">
    <querytext>
      select
        item_id
	FROM
	pm_tasks_revisionsx
        WHERE
        revision_id = :this_revision_id
    </querytext>
  </fullquery>

</queryset>
