<?xml version="1.0"?>
<queryset>
  <fullquery name="get_task_info">
    <querytext>
      select
        title as one_line,
        description,
        item_id
	FROM
	pm_tasks_revisionsx t
        WHERE
        revision_id in ([join $revisions ","])
        ORDER BY
        item_id
    </querytext>
  </fullquery>

  <fullquery name="get_more_task_info">
    <querytext>
      select
        title as one_line,
        description,
        item_id,
        to_char(end_date, 'YYYY-MM-DD HH24:MI:SS') as end_date_ansi,
        estimated_hours_work,
        estimated_hours_work_min,
        estimated_hours_work_max,
        to_char(earliest_start, 'YYYY-MM-DD HH24:MI:SS') as earliest_start_ansi,
        to_char(earliest_finish, 'YYYY-MM-DD HH24:MI:SS') as earliest_finish_ansi,
        to_char(latest_start, 'YYYY-MM-DD HH24:MI:SS') as latest_start_ansi,
        to_char(latest_finish, 'YYYY-MM-DD HH24:MI:SS') as latest_finish_ansi
	FROM
	pm_tasks_revisionsx t
        WHERE
        revision_id in ([join $revisions ","])
        ORDER BY
        item_id
    </querytext>
  </fullquery>

  <fullquery name="get_users">
    <querytext>
      select
        first_names || ' ' || last_name || ' (' || email || ')' as who,
        person_id
	FROM
        cc_users
        ORDER BY
        first_names, last_name
    </querytext>
  </fullquery>

  <fullquery name="get_roles">
    <querytext>
      select
        one_line,
        role_id
	FROM
        pm_roles
        ORDER BY
        sort_order
    </querytext>
  </fullquery>

  <fullquery name="delete_assignments">
    <querytext>
      delete from pm_task_assignment
      where task_id in ([join $task_id ","])
    </querytext>
  </fullquery>

  <fullquery name="add_assignment">
    <querytext>
      insert into pm_task_assignment
      (task_id,
       role_id,
       party_id) 
      values
      (:t_id,
       :r_id,
       :p_id)
    </querytext>
  </fullquery>

  <fullquery name="get_current_users">
    <querytext>
      select
        party_id
	FROM
        pm_task_assignment
        WHERE
        task_id = :tiid
    </querytext>
  </fullquery>

  <fullquery name="get_current_roles">
    <querytext>
      select
        role_id
	FROM
        pm_task_assignment a
        WHERE
        task_id = :tiid
    </querytext>
  </fullquery>

  <fullquery name="get_process_roles_assignments">
    <querytext>
      select
        role_id as rid,
        party_id as pid
	FROM
        pm_process_task_assignment a
        WHERE
        process_task_id = :ptid
    </querytext>
  </fullquery>

  <fullquery name="get_project_name">
    <querytext>
      select
        title
	FROM
        pm_projects p, cr_revisions r, cr_items i
        WHERE
        r.item_id = :project_item_id and
        i.item_id = r.item_id and
        p.project_id = i.live_revision and
        p.project_id = r.revision_id
    </querytext>
  </fullquery>

</queryset>
