ad_page_contract {

    Page to get the project if one is missing for task creation

    @author jader@bread.com
    @creation-date 2003-10-06
    @cvs-id $Id: task-select-project.tcl,v 1.1.2.8 2004/03/12 00:20:24 jader Exp $

    @return context_bar Context bar.
    @return title Page title.
    @return projects A multirow containing the list of projects

    @param process_id The process we're using to create this task
} {

    {process_id:integer ""}

} -properties {

    context_bar:onevalue
    title:onevalue
    select_widget:onevalue
    select_widget_name:onevalue
    form_definition_beg:onevalue
    form_definition_end:onevalue

} -validate {
} -errors {
}

# --------------------------------------------------------------- #

set user_id    [ad_maybe_redirect_for_registration]
set package_id [ad_conn package_id]

# terminology
set project_term    [parameter::get -parameter "ProjectName" -default "Project"]
set task_term       [parameter::get -parameter "TaskName" -default "Task"]
set task_term_lower [parameter::get -parameter "taskname" -default "task"]
set use_uncertain_completion_times_p [parameter::get -parameter "UseUncertainCompletionTimesP" -default "1"]


set title "Edit a $task_term_lower"

if {[exists_and_not_null process_id]} {
    set context_bar [ad_context_bar [list "processes" "Processes"] "Use"]
} else {
    set context_bar [ad_context_bar [list "tasks" "Tasks"] "Select Project"]
}

# need to change this to show all the projects you're on by
# default, and then give you the option of selecting all projects
# as an option.

set root_folder [db_string get_root "select pm_project__get_root_folder (:package_id, 'f')"]

set select_widget_name project_item_id
set select_widget "<select name=\"$select_widget_name\">"


db_foreach select_a_project { } -column_array proj {
    append select_widget "<option value=\"$proj(project_item_id)\">$proj(project_name)</option>"
}
append select_widget "</select>"

set form_definition_beg "<form action=\"task-add-edit\" method=\"post\">"

append form_definition_beg [export_vars -form {process_id}]
set form_definition_end "</form>"

